View Issue Details

IDProjectCategoryView StatusLast Update
0001695FreeCADMerge requestpublic2014-08-18 12:05
ReportershoogenAssigned Toshoogen 
PrioritylowSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.15 
Summary0001695: reset the console color between every message
DescriptionCurrently the color of stdout is not reset to the default, because the escape code is help back by the line buffering.
This makes using the console for other programs (like gdb) very annoying.
Additional InformationThe following changes since commit f0eee592839bbf2efc6f2e549893c87834879530:

  Draft: Fixed small regression in Draft2Sketch (2014-08-16 19:40:35 -0300)

are available in the git repository at:

  git://github.com/5263/FreeCAD.git resetconsolecolor

for you to fetch changes up to 23082551f990639600bf294d4521617e4ef9899c:

  flush stdout after reseting the console color (2014-08-17 14:40:19 +0200)

----------------------------------------------------------------
      flush stdout after reseting the console color

 src/Base/Console.cpp | 3 +++
 1 file changed, 3 insertions(+)
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

FreeCAD: master 3198c423

2014-08-17 14:40:19

shoogen


Committer: wmayer Details Diff
flush stdout after reseting the console color Affected Issues
0001695
mod - src/Base/Console.cpp Diff File

Issue History

Date Modified Username Field Change
2014-08-17 12:51 shoogen New Issue
2014-08-18 12:04 shoogen Status new => closed
2014-08-18 12:04 shoogen Assigned To => shoogen
2014-08-18 12:04 shoogen Resolution open => fixed
2014-08-18 12:04 shoogen Fixed in Version => 0.15
2014-08-18 12:05 shoogen Changeset attached => FreeCAD Master master 3198c423